import styles from "../../../styles";
import { Button } from "@mui/material";
import AddBoxIcon from "@mui/icons-material/AddBox";
import { colors } from "../../../styles";
import Popup from "reactjs-popup";
import { useState } from "react";
export default function StudentDashboard() {
  const [addTransactionModalOpen, SetAddTransactionModalOpen] = useState(false);
  return (
    <div style={styles.flex_column}>
      <p
        style={{
          ...styles.text_dark,
          ...styles.text_L,
        }}
      >
        Student Actions
      </p>
      <div
        style={{
          ...styles.flex_row,
          ...{
            alignSelf: "center",
            justifyContent: "center",
            flexWrap: "wrap",
          },
        }}
      >
        <Button
          style={{
            ...styles.flex_column,
            ...{
              alignSelf: "center",
              justifyContent: "center",
              flexWrap: "wrap",
            },
          }}
          onClick={() => {
            SetAddTransactionModalOpen(true);
          }}
        >
          <AddBoxIcon
            style={{
              height: 64,
              width: 64,
              fill: colors.font_dark,
              marginLeft: "1rem",
              marginRight: "1rem",
            }}
          />
          <p
            style={{
              ...styles.text_dark,
              ...styles.text_M,
            }}
          >
            New Transaction
          </p>
        </Button>
      </div>
      <Popup
        open={addTransactionModalOpen}
        onClose={() => SetAddTransactionModalOpen(false)}
        modal
        position={"top center"}
        contentStyle={{
          width: "32rem",
          borderRadius: 16,
          borderColor: "grey",
          borderStyle: "solid",
          borderWidth: 1,
          padding: 16,
          alignContent: "center",
          justifyContent: "center",
          textAlign: "center",
        }}
      >
        <div />
      </Popup>
    </div>
  );
}
